# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`realmd`](#realmd): Support for Relmd+SSSD on RHEL 7.

## Classes

### realmd

Support for Relmd+SSSD on RHEL 7.

#### Examples

##### joining a domain

```puppet
class { "realmd":
  domain      => "mydomain",
  ad_username => "myuser",
  ad_password => "topsecret",
  ou          => ['linux', 'servers'],
  groups      => ['admins', 'superadmins']
}
```

#### Parameters

The following parameters are available in the `realmd` class.

##### `packages`

Data type: `Array[String]`

List of packages to install to enable support (from in-module data)

##### `domain`

Data type: `String`

Domain to join

##### `ad_username`

Data type: `String`

AD Username to use for joining

##### `ad_password`

Data type: `String`

AD password to use for joining

##### `ou`

Data type: `Array[String]`

Array of OUs to use for joining eg `foo,bar,baz` (OU= will be added for you)

##### `services`

Data type: `Array[String]`

List of services to enable for SSD/Realmd

##### `groups`

Data type: `Array[String]`

List of groups to add to `simple_allow_groups` (will be flattened for you)

Default value: []

##### `keytab_file`

Data type: `String`

Location of keytabs written by `realm` command

Default value: "/etc/krb5.keytab"

